%global toolchain clang

Summary:  A general-purpose cryptographic library
Name:     aws-lc
License:  MIT AND LicenseRef-Fedora-Public-Domain AND OpenSSL AND BSD-3-Clause AND Go AND Chromium AND (Apache-2.0 OR ISC)
Version:  1.16.0
Release:  1%{?dist}

URL:      https://github.com/aws/aws-lc
Source0:  %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  clang
BuildRequires:  go
BuildRequires:  ninja-build
BuildRequires:  perl

%global _description %{expand:
AWS-LC is a general-purpose cryptographic library maintained by
the AWS Cryptography team for AWS and their customers. It іs
based on code from the Google BoringSSL project and the OpenSSL
project.

AWS-LC contains portable C implementations of algorithms needed
for TLS and common applications. For performance critical algorithms,
optimized assembly versions are included for x86 and ARM.}

%description
%_description

%package devel
Summary:        A general-purpose cryptographic library
%description devel
%_description


%prep
%autosetup

%build

%cmake -DBUILD_TESTING=ON \
       -DBUILD_SHARED_LIBS=1 \
       -G Ninja
%cmake_build

%install
%cmake_install


%check
# Tests require download of additional Go packages
# so disable for now
#pushd %__cmake_builddir
#ninja-build run_tests
#popd

%files
%doc README.md
%doc NOTICE
%license LICENSE
%{_bindir}/bssl

%files devel
%dir %{_includedir}/openssl
%{_includedir}/openssl/*.h
%{_includedir}/openssl/*.inc
%{_libdir}/libcrypto.so
%{_libdir}/libssl.so
%dir %{_libdir}/crypto
%dir %{_libdir}/crypto/cmake
%{_libdir}/crypto/cmake/*.cmake
%dir %{_libdir}/crypto/cmake/shared
%{_libdir}/crypto/cmake/shared/*.cmake
%dir %{_libdir}/ssl
%dir %{_libdir}/ssl/cmake/
%{_libdir}/ssl/cmake/*.cmake
%dir %{_libdir}/ssl/cmake/shared
%{_libdir}/ssl/cmake/shared/*.cmake

%changelog
* Tue Sep 26 2023 Benson Muite <benson_muite@emailplus.org> - 1.16.0-1
- Update to latest release

* Tue Jul 18 2023 Benson Muite <benson_muite@emailplus.org> - 1.12.1-1
- Initial packaging
